%define anolis_release 1

Name:		libva
Version:	2.20.0
Release:	%{anolis_release}%{?dist}
Summary:	Video Acceleration (VA) API for Linux
License:	MIT
URL:		https://github.com/intel/libva
Source0:	https://github.com/intel/%{name}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc

BuildRequires:	libudev-devel
%{!?_without_xorg:
BuildRequires:	libXext-devel
BuildRequires:	libXfixes-devel
}
BuildRequires:	libdrm-devel
BuildRequires:	libpciaccess-devel
BuildRequires:	mesa-libEGL-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	mesa-libGLES-devel
%{!?_without_wayland:
BuildRequires:  wayland-devel
BuildRequires:  pkgconfig(wayland-client) >= 1
BuildRequires:  pkgconfig(wayland-scanner) >= 1
}
Requires:	mesa-filesystem

%description
Libva is a library providing the VA API video acceleration API.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package	devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%{?_without_xorg: -Dwith_glx=no -Dwith_x11=no} \
%{?_without_wayland: -Dwith_wayland=no}

%meson_build

%install
%meson_install

%generate_compatibility_deps

%ldconfig_scriptlets

%files
%dir %{abidir}
%license COPYING
%ghost %{_sysconfdir}/libva.conf
%{_libdir}/libva.so.2*
%{_libdir}/libva-drm.so.2*
%{!?_without_wayland:
%{_libdir}/libva-wayland.so.2*
}
%{!?_without_xorg:
%{_libdir}/libva-x11.so.2*
%{_libdir}/libva-glx.so.2*
}
%{abidir}/libva*.dump

%files doc
%doc NEWS

%files devel
%{_includedir}/va
%{_libdir}/libva*.so
%{_libdir}/pkgconfig/libva*.pc

%changelog
* Tue Jun 25 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.20.0-1
- update to 2.20.0

* Wed Mar 1 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 2.17.0-1
- Update to 2.17.0

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.14.0-2
- optimise spec file

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.14.0-1
- Init from upstream version 2.14.0

